Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.addressbook.service
Interface AddressbookTokenService

All Known Implementing Classes:
  AddressbookTokenServiceImpl

    public interface AddressbookTokenService

Interface for all Addressbook services Default impl : `be.ehealth.businessconnector.AddressbookSessionServiceImpl.service.impl.AddressbookTokenServiceImpl` Factory : `TokenServiceFactory`

Method Summary
`GetOrganizationContactInfoResponse` | `getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request)`
`GetProfessionalContactInfoResponse` | `getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request)`
`SearchOrganizationsResponse` | `searchOrganizations(SAMLToken token, SearchOrganizationsRequest request)`
`SearchProfessionalsResponse` | `searchProfessionals(SAMLToken token, SearchProfessionalsRequest request)`

Method Detail

### getOrganizationContactInfo

    GetOrganizationContactInfoResponse getOrganizationContactInfo(SAMLToken token,
                                                                  GetOrganizationContactInfoRequest request)
                                                                  throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### getProfessionalContactInfo

    GetProfessionalContactInfoResponse getProfessionalContactInfo(SAMLToken token,
                                                                  GetProfessionalContactInfoRequest request)
                                                                  throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### searchOrganizations

    SearchOrganizationsResponse searchOrganizations(SAMLToken token,
                                                    SearchOrganizationsRequest request)
                                                    throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

### searchProfessionals

    SearchProfessionalsResponse searchProfessionals(SAMLToken token,
                                                    SearchProfessionalsRequest request)
                                                    throws TechnicalConnectorException

  Parameters:
    `token` -
    `request` -
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.